For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all appointments
        • POSTCancel Appointment (leads): ResMan - Not Supported
        • POSTCreate Lead Appointment: Resman
        • PUTUpdate Lead Appointment: Resman
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
ResManAppointments

Update Lead Appointment: Resman

PUT
/v1/events/appointments/leads/resman/:event_id
PUT
/v1/events/appointments/leads/resman/:event_id
$curl -X PUT https://api.propexo.com/v1/events/appointments/leads/resman/event_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "appointment_date": "2024-01-15T09:30:00Z",
> "appointment_time": "09:30:00"
>}'
1{
2 "meta": {
3 "job_id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890"
4 },
5 "result": {
6 "event_id": "e1234567-89ab-4cde-f012-3456789abcde",
7 "appointment_date": "2024-01-15T09:30:00Z",
8 "appointment_time": "09:30:00",
9 "unit_id": "u9876543-21ba-fedc-0987-6543210fedcb",
10 "notes": "Client requested a virtual tour instead of in-person."
11 }
12}
Update Lead Appointment: Resman | Interface | Method | |---|---| | Lead Management | /MITS/PostLeadManagement4_0 |
Was this page helpful?
Previous

Get all charge codes

Next
Built with

Update Lead Appointment: Resman

InterfaceMethod
Lead Management/MITS/PostLeadManagement4_0

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

event_idstringRequired
The Propexo unique identifier for the lead

Request

This endpoint expects an object.
appointment_datestringRequired
The date when the appointment will occur
appointment_timestringRequiredformat: "(?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)"

The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones. The time is in the local time of the property/location.

unit_idstringOptional
The Propexo unique identifier for the unit
notesstringOptional
Notes associated with the event

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error